Subject: bug#74246: [PATCH] Reuse display windows in image-dired

From: Juri Linkov <[email-masked]>
Date: Sat, 14 Dec 2024 20:19:40 +0200

>> This should not be specific to packages.  It should be general to be usable
>> for any display-buffer call.
>
> Then for a *Compile-Log* buffer 'compile-goto-error' and 'next-error'
> would both try to use the same last window something they here currently
> don't.  And if clicking on a button in a *Help* buffer invokes
> 'display-buffer', it might use the same window for unrelated purposes.

Only if it was configured to use the same window.

Also the same window could be used by display-buffer-use-some-window
instead of lru.